CREATE TABLE IF NOT EXISTS "gantt_links" (
  "id" SERIAL PRIMARY KEY,
  "source" integer NOT NULL,
  "target" integer NOT NULL,
  "type" varchar(1) NOT NULL
);

CREATE TABLE IF NOT EXISTS "gantt_tasks" (
  "id"SERIAL PRIMARY KEY,
  "text" varchar(255) NOT NULL,
  "start_date" TIMESTAMP NOT NULL,
  "duration" integer NOT NULL,
  "progress" float NOT NULL DEFAULT 0,
  "parent" integer NOT NULL,
  "sortorder" integer NOT NULL,
  "type" varchar(100),
  "color" varchar(100) DEFAULT ''
);